// Доступ к DOM

// --------------------------------------------------------------------------------------------------------------
// Зная структуру html, с помощью изученных методов получить (в консоль):
//
// 1. head
// 2. body
// 3. все дочерние элементы body и вывести их в консоль
// 4. первый div и все его дочерние узлы
//    а) вывести все дочерние узлы в консоль
//    б) вывести в консоль все дочерние узлы, кроме первого и последнего
//
// Для навигации по DOM ипользовать методы, которе возвращают только элементы
// --------------------------------------------------------------------------------------------------------------

let head = document.head, // 1
    body = document.body, // 2
    firstDiv = document.querySelector('div'), // 4
    elements = firstDiv.children; // 4а, 4б

// 1. head
console.log(head); // 1

// 2. body
console.log(body); // 2

// 3. все дочерние элементы body и вывести их в консоль
for (let i = 0; i < document.body.children.length; i++) {
    console.log(document.body.children[i]);
}

// 4. первый div и все его дочерние узлы
console.log(firstDiv);

// 4. первый div и все его дочерние узлы
//    а) вывести все дочерние узлы в консоль
for (let i = 0; i < elements.length; i++) {
    console.log(elements[i]);
}

// 4. первый div и все его дочерние узлы
//    б) вывести в консоль все дочерние узлы, кроме первого и последнего
for (let i = 1; i < elements.length - 1; i++) {
    console.log(elements[i]);
}
